Page MenuHomePhabricator

Request access to deployment cluster for Jakob_WMDE
Closed, ResolvedPublic

Description

@Jakob_WMDE is a developer at WMDE, and part of Wikidata engineering team.
The primary use of the access is going to be deployment of the Termbox SSR service using the Deployment Pipeline.

Jakob's LDAP user name is: jakob.

Details

Related Gerrit Patches:
operations/puppet : productionAdd jakob to deployers

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 3 2019, 11:55 AM

I am an engineering manager at WMDE, and Jakob's line manager. By submitting this request I approve it at WMDE's end.

MoritzMuehlenhoff triaged this task as Medium priority.Jul 3 2019, 12:47 PM
greg added a comment.Jul 8 2019, 7:21 PM

Approved.

@Jakob_WMDE: Please generate a separate SSH key for the access to the Wikimedia production cluster (it needs to be separate from your SSH key used for Cloud VPS/Toolforge if you use that). You can find some instructions here: https://wikitech.wikimedia.org/wiki/Production_shell_access#Setting_up_your_access

When done, please send us the public key and we'll enable your access.

@MoritzMuehlenhoff here is the public key: ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIAENSef8ugACShtUryIYbII3C0bwJ8DC5byfveXRIrUS jawa@C269
Thanks!

Change 523166 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[operations/puppet@production] Add jakob to deployers

https://gerrit.wikimedia.org/r/523166

Change 523166 merged by Alexandros Kosiaris:
[operations/puppet@production] Add jakob to deployers

https://gerrit.wikimedia.org/r/523166

akosiaris closed this task as Resolved.Jul 15 2019, 1:53 PM
akosiaris claimed this task.
akosiaris added a subscriber: akosiaris.

Task has been opened for the required amount of days, approvals are on file, merging the change and resolving the task. Thanks!

Thanks gentlemen!

@Jakob_WMDE has noticed today he does not have +2 rights on operations/mediawiki-config. We haven't explicitly asked for them, apologies if that should have been mentioned. I've said in the task description that Jakob is going to primarily do Deployment Pipeline deploys, but those might sometimes be paired with changes to MediaWiki config on the MW extension counterpart using the service in the pipeline. Hence being able to sync config changes would be great.

What should be an appropriate way to get those additional permissions? (I didn't find information with a quick wikitech search, sorry if it's there and I'm blind) Shall we open another request?

Mentioned in SAL (#wikimedia-releng) [2019-07-23T16:00:31Z] <hashar> gerrit: adding Jakob_WMDE to wmf-deployment group ( https://gerrit.wikimedia.org/r/#/admin/groups/21,members ) # T227193

Confirmed to me by @Jakob_WMDE !

bitte schon \o/